- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 076fc07c-7bfa-4e3b-8e58-0178f8d47536
    creation_time: 2023-02-17T12:06:00.610723Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops/while_infinite_loop_1.c
      input_file_hashes:
        c/loops/while_infinite_loop_1.c: 6835149c4278fd8af0ce273d8cc15b325ec6738caba22fa2c7b2c4b417fc898f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/while_infinite_loop_1.c
    file_hash: 6835149c4278fd8af0ce273d8cc15b325ec6738caba22fa2c7b2c4b417fc898f
    line: 15
    column: 0
    function: main
  loop_invariant:
    string: x == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 7588bcc4-d137-424b-85f8-8e27138a5e23
    creation_time: 2023-02-17T12:06:00.610989Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops/while_infinite_loop_1.c
      input_file_hashes:
        c/loops/while_infinite_loop_1.c: 6835149c4278fd8af0ce273d8cc15b325ec6738caba22fa2c7b2c4b417fc898f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/while_infinite_loop_1.c
    file_hash: 6835149c4278fd8af0ce273d8cc15b325ec6738caba22fa2c7b2c4b417fc898f
    line: 17
    column: 0
    function: main
  location_invariant:
    string: x == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 45e9617b-f16a-45a0-b69b-919a511d4dc2
    creation_time: 2023-02-17T12:06:00.611079Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops/while_infinite_loop_1.c
      input_file_hashes:
        c/loops/while_infinite_loop_1.c: 6835149c4278fd8af0ce273d8cc15b325ec6738caba22fa2c7b2c4b417fc898f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/while_infinite_loop_1.c
    file_hash: 6835149c4278fd8af0ce273d8cc15b325ec6738caba22fa2c7b2c4b417fc898f
    line: 20
    column: 0
    function: main
  location_invariant:
    string: x!=0
    type: assertion
    format: C

